function lxbaozi_touch(npcID)

pid=player.GetMainPlayer() --操控玩家ID


     --NPC朝向
     local x,z = npc.GetAt(npcID)
     npc.TurnToPlayer(npcID)
     global.WaitForNpcTurn(npcID)
    player.Control(0)






if pid == 1 or pid ==4 or pid==16 or pid==32 or pid==64 or pid ==256 then

ui.Dialog(170740,100,0,npcID,0,0)--这个小伙！看你潇洒帅气，天赋异禀。但连携已经禁用，不能再练习了～

elseif pid==2 or pid==8 or pid ==128 or pid ==128 or 512 then

ui.Dialog(170739,100,0,npcID,0,0)--这个姑娘！看你楚楚动人，温柔甜美。但连携已经禁用，不能再练习了～


end




     --npc回头
     npc.TurnTo(npcID,x,z)
     global.WaitForNpcTurn(npcID)
     npc.ContinuePatrol(npcID)

player.Control(1)


end